/* products listing */

.overlapBtm {
    &.prodDetListSecBtm {
        /* margin-top: -30px; */
        margin-top: 30px;
    }
}
.caseSec{
    /* .secBigH{
        margin-bottom: 30px;
    }
    .overlapBtm {
        margin-top: 0;
    } */
}

.compensate-for-scrollbar {
    overflow: visible !important;
}

.prodDetListSec {
    .prodDetListSecBtm {
        .eachProdCard {
            margin-bottom: 30px;

            .eachProdCardInner {
                width: 100%;
                height: 480px;
                border-radius: 12px;
                overflow: hidden;
                display: block;
                position: relative;
                transition: 0.6s;

                .eachProdFrontLogo {
                    width: 100px;
                    height: 50px;
                    border-radius: 6px;
                    /* box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.3); */
                    /* padding: 10px 6px; */
                    margin-bottom: 10px;
                    /* background-color: #fff; */
                    overflow: hidden;

                    img {
                        width: 100%;
                        height: 100%;
                        object-fit: contain;
                    }
                }

                .eachProdCardTxt {
                    font-size: 18px;
                    font-weight: 700;
                    color: #000;
                }

                .eachProdCardFront {
                    width: 100%;
                    height: 100%;
                    padding: 20px;
                    background-color: #E3E9ED;

                    .eachProdCardImg {
                        width: 100%;
                        height: 320px;
                        margin-bottom: 15px;

                        img {
                            width: 100%;
                            height: 100%;
                            object-fit: contain;
                        }
                    }
                }

                .eachProdCardBack {
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    z-index: 2;
                    overflow: hidden;
                    transition: 0.6s;
                    position: absolute;
                    border-radius: 12px;
                    transform: translateY(110%);
                    background-color: #0C0056;
                    transform-origin: center bottom;
                    padding: 20px;

                    .eachProdBackTop {
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        gap: 20px;

                        .eachProdCardTxt {
                            color: #fff;
                        }
                        .eachProdFrontLogo{
                            display: none;
                        }
                    }

                    .eachProdBackBtm {
                        .eachProdBackInn {
                            padding: 14px 0px;
                            display: flex;
                            justify-content: space-between;
                            align-items: center;

                            &:not(:last-child) {
                                border-bottom: 1px solid rgba(255, 255, 255, 0.5);
                            }

                            .eachProdBackImg {
                                width: 30px;
                                height: 30px;
                                filter: brightness(0) saturate(100%) invert(75%) sepia(55%) saturate(5214%) hue-rotate(211deg) brightness(88%) contrast(84%);

                                img {
                                    width: 100%;
                                    height: 100%;
                                    object-fit: contain;
                                }
                            }

                            .eachProdBackInnTxt {
                                width: calc(100% - 30px);
                                align-items: center;
                                padding-left: 15px;
                                display: flex;

                                p {
                                    font-size: 16px;
                                    color: #fff;
                                    margin-bottom: 0;
                                    line-height: 1.1;

                                    &:first-child {
                                        width: 50%;
                                    }

                                    &:last-child {
                                        width: 50%;
                                        color: #008FFF;
                                        font-weight: 700;
                                        padding-left: 10px;
                                    }
                                }
                            }
                        }
                    }

                    .eachProdBtnDiv {
                        gap: 10px;
                        display: flex;
                        flex-wrap: wrap;
                        padding-top: 20px;
                        justify-content: center;

                        .eachProdBtn {
                            width: calc(50% - 10px);
                            padding: 8px 15px;
                            text-align: center;
                            background-color: #008FFF;
                            color: #fff;
                            font-size: 16px;
                            border-radius: 30px;
                            font-weight: 500;
                            border: 1px solid transparent;
                            transition: all 0.5s;

                            &:hover {
                                background-color: #fff;
                                border-color: #008FFF;
                                color: #008FFF;
                            }

                            &.brochureBtn{
                                width: 100%;
                            }

                            &.yllwBtn {
                                background-color: #FFB600;
                                color: #000;

                                &:hover {
                                    background-color: #fff;
                                    border-color: #FFB600;
                                    color: #FFB600;
                                }
                            }
                        }
                    }
                }

                &:hover {
                    .eachProdCardBack {
                        background-color: #0C0056;
                        transform: translateY(0%);
                    }
                }
            }
        }
    }
}

.base_360_img {
    width: 600px;
    height: auto;
}

.viewer-360-wrap {
    /* top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
    width: 100vw; */
    height: 95vh;
    /* display: flex;
    display: none;
    position: fixed;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(10px);
    background-color: #00000086; */

    ._360PopClose {
        display: none;
    }

    .imgTitlePop {
        display: block;
        text-align: center;
        font-size: 24px;
    }

    .fancybox-button {
        color: #000 !important;
        background-color: #fff !important;

        .fancybox-button svg {
            background-color: #fff !important;
        }
    }
}

.viewer-360-wrapInner {
    top: 50%;
    left: 50%;
    width: 600px;
    height: 600px;
    /* margin: 0 auto; */
    position: relative;
    transform: translate(-50%, -50%);
}

.viewer-360 {
    margin: 0 auto;
    aspect-ratio: 1 / 1;
    background: #fff;
    overflow: hidden;
    cursor: grab;
    user-select: none;
    /* display: flex;
    align-items: center;
    justify-content: center; */

    &.dragging {
        cursor: grabbing;
    }

    img {
        width: 100%;
        height: auto;
        max-width: 600px;
        object-fit: contain;
        pointer-events: none;
    }
}


.page-id-2022 {
    .prodIntroSec {
        .vidSecImg {
            height: 650px;

            img {
                object-position: 0% 70%;
            }
        }
    }
}

.strengthSec {
    .strengthSecBtm {
        .secSmallH {
            font-size: 32px;
            line-height: 1.2;
        }  
    }
}

/* application */
.prodApplicationSec {
    .appSecBtm {
        display: flex;
        flex-wrap: wrap;

        .appSecCard {
            width: 25%;
            display: flex;
            position: relative;
            padding: 35px 20px;
            flex-direction: column;
            justify-content: center;
            border-bottom: 1px solid rgba(255, 255, 255, 0.3);
            border-right: 1px solid rgba(255, 255, 255, 0.3);
            transition: all 0.5s;

            &:nth-child(4n+4) {
                border-right: none;
            }

            &:nth-child(9),
            &:nth-child(10),
            &:nth-child(11),
            &:nth-child(12) {
                border-bottom: none;
            }

            .appSecImg {
                width: 70px;
                height: 70px;
                margin-left: auto;
                margin-right: auto;
                margin-bottom: 15px;
                transition: all 0.5s;

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: contain;
                    transition: all 0.5s;
                }
            }

            .appSecTxt {
                p {
                    color: #fff;
                    text-align: center;
                    transition: all 0.5s;
                }
            }

            .hoverVdo {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                opacity: 0;
                display: flex;
                transition: 0.6s;
                visibility: hidden;
                position: absolute;
                align-items: center;
                justify-content: center;
                backdrop-filter: blur(12px);
                background-color: #0081EB90;

                a {
                    width: 95px;
                    height: 95px;
                    display: flex;
                    transition: 0.6s;
                    border-radius: 50%;
                    align-items: center;
                    justify-content: center;
                    border: 1px solid #fff;

                    i {
                        color: #fff;
                        font-size: 40px;
                        transition: 0.6s;
                    }
                }
            }

            &:hover {
                background-color: #fff;

                .appSecImg {
                    filter: brightness(0) saturate(100%)
                }

                .appSecTxt {
                    p {
                        color: #000;
                    }
                }

                .hoverVdo {
                    opacity: 1;
                    transition: 0.6s;
                    visibility: visible;

                    a {
                        &:hover {
                            border-color: #0C0056;

                            i {
                                color: #0C0056;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* used cases */
.usedCaseSec {
    .usedCaseBtm {
        .usedCaseSlider {
            .usedImg {
                width: 100%;
                height: 300px;
                padding: 0px 10px;

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    border-radius: 15px;
                }
            }

            .slick-arrow {
                width: 55px;
                height: 55px;

                &::after {
                    font-size: 20px;
                }

                &.slick-prev {
                    left: -60px;
                }

                &.slick-next {
                    right: -60px;
                }
            }
        }
    }
}

.mobProdImg {
    display: none;
}

.page-id-2022,
.page-id-3145 {
    .prodDetListSec {
        .prodDetListSecBtm {
            .productCardWrap {
                justify-content: center;

                .eachProdCard {
                    &.col-lg-4 {
                        width: 50%;
                    }

                    .eachProdCardInner {
                        .eachProdCardFront {
                            .eachProdCardImg {
                                img {
                                    object-fit: cover;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.page-id-3145 {
    .prodDetListSec {
        .prodDetListSecBtm {
            .productCardWrap {
                .eachProdCard {
                    &.col-lg-4 {
                        width: 40%;
                    }

                    .eachProdCardInner {
                        .eachProdCardFront {
                            .eachProdCardImg {
                                img {
                                    object-fit: contain;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* start responsive */

@media(max-width: 1440px) {

    .viewer-360-wrapInner {
        height: 400px;
    }

    .usedCaseSec {
        & .usedCaseBtm {
            & .usedCaseSlider {
                padding: 0 52px;

                & .slick-arrow {
                    width: 40px;
                    height: 40px;

                    &.slick-prev {
                        left: 10px;
                    }

                    &.slick-next {
                        right: 10px;
                    }
                }
            }
        }
    }
    
    .strengthSec {
        .strengthSecBtm {
            .secSmallH {
                font-size: 26px;
            }  
        }
    }
}

@media (max-width: 1366px) {

    .page-id-2022,
    .page-id-3145 {
        .prodIntroSec {
            .vidSecImg {
                height: 550px;
            }
        }
    }

    .page-id-108 {
        .prodIntroSec {
            .headingWrap {
                &.pt_50 {
                    padding-top: 20px !important;
                }
            }
        }
    }

    .prodApplicationSec {
        .appSecBtm {
            .appSecCard {
                .hoverVdo {
                    a {
                        width: 70px;
                        height: 70px;

                        i {
                            font-size: 32px;
                        }
                    }
                }
            }
        }
    }
}

@media(max-width: 1280px) {
    .prodDetListSec {
        .prodDetListSecBtm {
            .eachProdCard {
                .eachProdCardInner {
                    .eachProdCardFront {
                        padding: 14px;
                    }

                    .eachProdCardBack {
                        padding: 14px;

                        .eachProdBtnDiv {
                            .eachProdBtn {
                                padding: 8px 13px;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media(max-width: 1240px) {
    .prodDetListSec {
        & .prodDetListSecBtm {
            & .eachProdCard {
                & .eachProdCardInner {
                    .eachProdCardBack {
                        overflow-y: auto;
                    }
                }
            }
        }
    }
}

@media (max-width: 1199px) {

    .page-id-2022,
    .page-id-3145 {
        .prodIntroSec {
            .vidSecImg {
                height: 500px;
            }
        }
    }
}

@media(max-width: 1024px) {
    .prodApplicationSec {
        & .appSecBtm {
            .appSecCard {
                width: 33.33%;

                &:nth-child(4n+4) {
                    border-right: 1px solid rgba(255, 255, 255, 0.3);
                }

                &:nth-child(3n+3) {
                    border-right: none;
                }

                &:nth-child(9) {
                    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
                }
            }
        }
    }
}

@media(max-width: 991px) {

    .viewer-360-wrapInner {
        height: 300px;
    }

    .overlapBtm {
        &.prodDetListSecBtm {
            margin-top: 20px;
        }
    }

    /* find dealer */
    .findDealerSec {
        text-align: center;
    }

    .page-id-2022,
    .page-id-3145 {
        .prodIntroSec {
            .vidSecImg {
                height: 420px;
            }
        }
    }

    .prodApplicationSec {
        .appSecBtm {
            .appSecCard {

                .hoverVdo {
                    display: flex;
                    transition: 0.6s;
                    visibility: visible;
                    position: static;
                    backdrop-filter: none;
                    background-color: transparent;
                    opacity: 1;
                    margin-top: 15px;

                    a {
                        width: 55px;
                        height: 55px;

                        i {
                            font-size: 20px;
                        }
                    }
                }

                &:hover {
                    .hoverVdo {
                        a {
                            border-color: #0C0056;

                            i {
                                color: #0C0056;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media(max-width: 768px) {

    .page-id-2022,
    .page-id-3145 {
        .prodIntroSec {
            .vidSecImg {
                height: 340px;
            }
        }
    }

    .prodApplicationSec {
        .appSecBtm {
            .appSecCard {
                width: 50%;
                padding: 25px 20px;

                &:nth-child(2n+2) {
                    border-right: none;
                }

                &:nth-child(3) {
                    border-right: 1px solid rgba(255, 255, 255, 0.3);
                }

                &:nth-child(9) {
                    border-right: 1px solid rgba(255, 255, 255, 0.3);
                }

                &:nth-child(10) {
                    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
                }
            }
        }
    }

    .prodDetListSec {
        .prodDetListSecBtm {
            .eachProdCard {
                .eachProdCardInner {
                    .eachProdCardBack {
                        .eachProdBackBtm {
                            .eachProdBackInn {
                                .eachProdBackInnTxt {
                                    p {
                                        font-size: 14px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    #viewer-360-wrap {
        padding: 25px 20px;
    }

    .viewer-360-wrap .viewer-360 img {
        pointer-events: none;
        touch-action: none;
    }

    .viewer-360-wrapInner {
        width: 100%;
        height: auto;

        img {
            width: 100%;
            height: 100%;
            object-fit: contain;
            margin: 0px auto;
        }
    }

    .page-id-2022,
    .page-id-3145 {
        .prodDetListSec {
            .prodDetListSecBtm {
                .productCardWrap {
                    .eachProdCard {
                        &.col-lg-4 {
                            width: 100%;
                        }
                    }
                }
            }
        }
    }
    
    .strengthSec {
        .strengthSecBtm {
            .secSmallH {
                font-size: 20px;
            }
        }
    }
}

@media(max-width: 767px) {
    .prodDetListSec {
        .prodDetListSecBtm {
            .eachProdCard {
                .eachProdCardInner {
                    height: auto;

                    .eachProdCardFront {
                        display: none;
                    }

                    .eachProdCardBack {
                        background-color: #0C0056;
                        transform: translateY(0%);
                        position: static;

                        .eachProdBackTop{
                            justify-content: center;
                        }

                        .mobProdImg {
                            display: block;

                            img {
                                background-color: #fff;
                                border-radius: 20px;
                                margin: 0 auto;
                                width: 300px;
                                padding: 20px;
                            }
                        }

                        .eachProdBtnDiv {
                            flex-direction: row;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 575px) {

    .page-id-2022,
    .page-id-3145 {
        .prodIntroSec {
            .vidSecImg {
                height: 300px;
            }
        }
    }
}

@media(max-width: 480px) {
    
    .strengthSec {
        .strengthSecBtm {
            .secSmallH {
                font-size: 18px;
            }
        }
    }

    /* product detailds */
    .prodDetListSec {
        & .prodDetListSecBtm {
            & .eachProdCard {
                & .eachProdCardInner {
                    .eachProdCardBack {
                        .eachProdBackTop {
                            flex-direction: column;
                            justify-content: center;
                            gap: 0;

                            .eachProdCardTxt {
                                margin-bottom: 10px;
                            }
                        }
                    }

                    .eachProdFrontLogo {
                        margin-bottom: 20px;
                    }
                }
            }
        }
    }

    /* rpoduct application */
    .prodApplicationSec {
        & .appSecBtm {
            .appSecCard {
                width: 100%;
                border-right: none;

                &:nth-child(3) {
                    border-right: none;
                }

                &:nth-child(9) {
                    border-right: none;
                }

                &:nth-child(11) {
                    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
                }
            }
        }
    }

    /* usedCase */
    .usedCaseSec {
        & .usedCaseBtm {
            & .usedCaseSlider {
                padding: 0 0 50px;

                & .slick-arrow {
                    top: auto;
                    transform: translateY(0);
                    bottom: 0;

                    &.slick-prev {
                        left: calc(50% - 50px);
                    }

                    &.slick-next {
                        right: calc(50% - 50px);
                    }
                }
            }
        }
    }
}

/* end responsive */